Add a vDisk to a VM provisioned by Foreman, fail to Edit

03/05/2013 09:02 AM - Florent Delvaille
Description

Hep,

I am provisionning a VM using Foreman 1.1.

During the installation, I created 1 vDisk of 20GB.

After installation, I decided to add a new Disk (not working yet on Foreman 1.1 but this is another subject) on VCenter then.

It worked fine but then from now, if I want to edit the host I got the following error:

Rendered puppetclasses/_class_selection.html.erb (537.4ms)

ComputeResource Load (0.3ms)  SELECT `compute_resources`.* FROM `compute_resources` WHERE `compute_resources`.`id` =

1 ORDER BY LOWER(compute_resources.name) LIMIT 1

Rendered compute_resources_vms/form/vmware/_network.html.erb (1769.5ms)

Rendered compute_resources_vms/form/vmware/_network.html.erb (1906.8ms)

Rendered compute_resources_vms/form/vmware/_volume.html.erb (7651.7ms)

Rendered compute_resources_vms/form/_vmware.html.erb (20145.7ms)

Rendered hosts/_compute.html.erb (20552.0ms)

Rendered hosts/_unattended.html.erb (20555.6ms)

Rendered hosts/_form.html.erb (21539.9ms)

Rendered hosts/edit.html.erb within layouts/application (21542.3ms)

Operation FAILED: undefined method `thinProvisioned' for

#<RbVmomi::VIM::VirtualDiskRawDiskMappingVer1BackingInfo:0x7fe6e18f6798>

/usr/lib/ruby/gems/1.8/gems/fog-1.9.0/lib/fog/vsphere/requests/compute/list_vm_volumes.rb:34:in `list_vm_volumes'

/usr/lib/ruby/gems/1.8/gems/fog-1.9.0/lib/fog/vsphere/requests/compute/list_vm_volumes.rb:31:in `map'

/usr/lib/ruby/gems/1.8/gems/fog-1.9.0/lib/fog/vsphere/requests/compute/list_vm_volumes.rb:31:in `list_vm_volumes'

/usr/lib/ruby/gems/1.8/gems/fog-1.9.0/lib/fog/vsphere/models/compute/volumes.rb:18:in `all'

/usr/lib/ruby/gems/1.8/gems/fog-1.9.0/lib/fog/core/collection.rb:141:in `lazy_load'

/usr/lib/ruby/gems/1.8/gems/fog-1.9.0/lib/fog/core/collection.rb:15:in `each'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/form_helper.rb:1274:in `fields_for_with_nested_attributes'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/form_helper.rb:1161:in `fields_for'

/usr/share/foreman/app/views/compute_resources_vms/form/_vmware.html.erb:26:in

`_app_views_compute_resources_vms_form__vmware_html_erb___898951407_70314803621500_30750260'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/capture_helper.rb:40:in `capture'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/capture_helper.rb:172:in `with_output_buffer'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/capture_helper.rb:40:in `capture'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/form_tag_helper.rb:461:in `field_set_tag'

/usr/share/foreman/app/views/compute_resources_vms/form/_vmware.html.erb:26:in

`_app_views_compute_resources_vms_form__vmware_html_erb___898951407_70314803621500_30750260'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:135:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:135:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:54:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:127:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:333:in `render_partial'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:262:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:260:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:378:in `_render_partial'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/rendering.rb:22:in `render'

/usr/share/foreman/app/views/hosts/_compute.html.erb:4:in

`_app_views_hosts__compute_html_erb___1893137291_70314802714360_6024172'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/capture_helper.rb:40:in `capture'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/capture_helper.rb:172:in `with_output_buffer'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/capture_helper.rb:40:in `capture'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/form_helper.rb:545:in `fields_for'

/usr/share/foreman/app/views/hosts/_compute.html.erb:1:in

`_app_views_hosts__compute_html_erb___1893137291_70314802714360_6024172'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:135:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:135:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:54:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:127:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:333:in `render_partial'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:262:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications/instrumenter.rb:21:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:260:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:378:in `_render_partial'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/rendering.rb:31:in `render'

/usr/share/foreman/app/views/hosts/_unattended.html.erb:2:in

`_app_views_hosts__unattended_html_erb___1463254571_70314802846920_1258668'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:135:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:135:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:54:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:127:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:333:in `render_partial'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:262:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications/instrumenter.rb:21:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:260:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:378:in `_render_partial'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/rendering.rb:31:in `render'

/usr/share/foreman/app/views/hosts/_form.html.erb:72:in

`_app_views_hosts__form_html_erb___834828396_70314798792080_1138590'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/capture_helper.rb:40:in `capture'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/capture_helper.rb:172:in `with_output_buffer'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/capture_helper.rb:40:in `capture'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/form_helper.rb:545:in `fields_for'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/helpers/form_helper.rb:320:in `form_for'

/usr/share/foreman/app/helpers/layout_helper.rb:190:in `form_for'

/usr/share/foreman/app/views/hosts/_form.html.erb:4:in

`_app_views_hosts__form_html_erb___834828396_70314798792080_1138590'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:135:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:135:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:54:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:127:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:333:in `render_partial'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:262:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications/instrumenter.rb:21:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:260:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/partials.rb:378:in `_render_partial'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/rendering.rb:22:in `render'

/usr/share/foreman/app/views/hosts/edit.html.erb:7:in `_app_views_hosts_edit_html_erb__139349190_70314798806700_0'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:135:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:135:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:54:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/template.rb:127:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/rendering.rb:59:in `_render_template'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications/instrumenter.rb:21:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/rendering.rb:56:in `_render_template'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_view/render/rendering.rb:26:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/abstract_controller/rendering.rb:115:in `_render_template'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/abstract_controller/rendering.rb:109:in `render_to_body'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/renderers.rb:47:in `render_to_body'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/compatibility.rb:55:in `render_to_body'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/abstract_controller/rendering.rb:102:in `render_to_string'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/abstract_controller/rendering.rb:93:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/rendering.rb:17:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/instrumentation.rb:40:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/core_ext/benchmark.rb:5:in `ms'

/usr/lib/ruby/1.8/benchmark.rb:308:in `realtime'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/core_ext/benchmark.rb:5:in `ms'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/instrumentation.rb:40:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/instrumentation.rb:78:in `cleanup_view_runtime'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.20/lib/active_record/railties/controller_runtime.rb:15:in `cleanup_view_runtime'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/instrumentation.rb:39:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/implicit_render.rb:10:in `default_render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/implicit_render.rb:5:in `send_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/abstract_controller/base.rb:150:in `process_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/rendering.rb:11:in `process_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/abstract_controller/callbacks.rb:18:in `process_action'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:488:in

`_run__2104129827__process_action__1992409046__callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:221:in `_conditional_callback_around_4540'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:331:in `around'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:315:in `send'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:315:in `_callback_around_1470'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:220:in `_conditional_callback_around_4540'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:482:in

`_run__2104129827__process_action__1992409046__callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:221:in `_conditional_callback_around_4539'

/usr/share/foreman/lib/foreman/thread_session.rb:31:in `clear_thread'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:220:in `_conditional_callback_around_4539'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:437:in

`_run__2104129827__process_action__1992409046__callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:221:in `_conditional_callback_around_4538'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:331:in `around'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:315:in `send'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:315:in `_callback_around_13'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:220:in `_conditional_callback_around_4538'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:436:in

`_run__2104129827__process_action__1992409046__callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:410:in `send'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:410:in `_run_process_action_callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:94:in `send'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:94:in `run_callbacks'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/abstract_controller/callbacks.rb:17:in `process_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/rescue.rb:17:in `process_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/instrumentation.rb:30:in `process_action'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications/instrumenter.rb:21:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/notifications.rb:52:in `instrument'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/instrumentation.rb:29:in `process_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/abstract_controller/base.rb:119:in `process'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/abstract_controller/rendering.rb:41:in `process'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal.rb:138:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_controller/metal.rb:178:in `action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/routing/route_set.rb:68:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/routing/route_set.rb:68:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/routing/route_set.rb:33:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/lib/rack/mount/route_set.rb:148:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/lib/rack/mount/code_generation.rb:93:in `recognize'

/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/lib/rack/mount/code_generation.rb:327:in `optimized_each'
/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/lib/rack/mount/code_generation.rb:92:in `recognize'

/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/lib/rack/mount/route_set.rb:139:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/routing/route_set.rb:499:in `call'

/usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.13/lib/apipie/static_dispatcher.rb:57:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/head.rb:14:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/params_parser.rb:21:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/flash.rb:182:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/session/abstract_store.rb:149:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/cookies.rb:302:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.20/lib/active_record/query_cache.rb:32:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.20/lib/active_record/connection_adapters/abstract/query_cache.rb:28:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.20/lib/active_record/query_cache.rb:12:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.20/lib/active_record/query_cache.rb:31:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.20/lib/active_record/connection_adapters/abstract/connection_pool.rb:354:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/callbacks.rb:46:in `call'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/callbacks.rb:416:in `_run_call_callbacks'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/callbacks.rb:44:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/sendfile.rb:106:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/remote_ip.rb:48:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/show_exceptions.rb:47:in `call'

/usr/lib/ruby/gems/1.8/gems/railties-3.0.20/lib/rails/rack/logger.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/runtime.rb:17:in `call'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.20/lib/active_support/cache/strategy/local_cache.rb:72:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/lock.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/lock.rb:13:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/lock.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.20/lib/action_dispatch/middleware/static.rb:30:in `call'

/usr/lib/ruby/gems/1.8/gems/railties-3.0.20/lib/rails/application.rb:168:in `call'

/usr/lib/ruby/gems/1.8/gems/railties-3.0.20/lib/rails/application.rb:77:in `send'

/usr/lib/ruby/gems/1.8/gems/railties-3.0.20/lib/rails/application.rb:77:in `method_missing'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/urlmap.rb:47:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/urlmap.rb:41:in `each'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/urlmap.rb:41:in `call'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_request_handler.rb:517:in

`accept_and_process_next_request'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:206:in `start_request_handler'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:171:in `send'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:171:in `handle_spawn_application'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/utils.rb:470:in `safe_fork'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:166:in `handle_spawn_application'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:357:in `__send__'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:180:in `start'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:129:in `start'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:253:in `spawn_rack_application'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:246:in `spawn_rack_application'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:244:in `spawn_rack_application'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:357:in `__send__'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/share/rubygems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/share/rubygems/gems/passenger-3.0.17/helper-scripts/passenger-spawn-server:102

Rendered home/_topbar.rhtml (2.9ms)

Rendered common/500.rhtml within layouts/application (15.1ms)

Completed 500 Internal Server Error in 21575ms (Views: 16.4ms | ActiveRecord: 25.7ms)

It seems Foreman expect 1 disk, while there are 2 …
This is a very blocking situation since the VM is in production and now we cannot add puppet modules to it at all …

History

#1 - 02/28/2014 05:33 PM - Benjamin Papillon

Hi,

Do you still experience the issue? Did you try an upgrade of the Foreman version?

Regards

#2 - 05/18/2017 07:20 PM - Anonymous

- Status changed from New to Resolved

no reaction, closing
